Subject: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Sineau Gh <[email-masked]>
Date: Thu, 30 Jul 2020 17:27:36 +0430

The problem I originally reported was not concerned with typing text, but
text rendered in read-only buffers (ie. dired and minibuffer).

I have attached the report-emacs-bug too. Please note that I compiled emacs
27 myself on debian buster.

Also here's the bad news. Just now I realized that bug#41005 is not solved
yet. At certain combinations of characters, the ligatures are still
disjointed. Also I tried to change the font family, but that  didn't help
either. This doesn't happen when I compiled emacs using --without-harfbuzz
option. I don't know if it helps but I can try to find if there's a pattern
to the combinations of characters I mentioned.

On Wed, 29 Jul 2020 at 23:02, Eli Zaretskii <[email-masked]> wrote:

> > From: Sineau Gh <[email-masked]>
> > Date: Wed, 29 Jul 2020 20:20:55 +0430
> > Cc: [email-masked]
> >
> > Sure. But I'm not sure what kind of a recipe you're looking for.
> > Persian/Arabic text on is disjointed like it was on buffers with
> column-number-mode. I attached two
> > screenshots too, if that helps.
> > Please tell me if there's any specific guidelines for submitting a
> recipe.
>
> You mean, just typing the text into *scratch* causes this?
>
> If so, what system is this and how was Emacs configured?  Can you show
> the data collected by "M-x report-emacs-bug"?
>
> If you need something other than just typing the text to reproduce the
> problem, pleased tell what should one do to reproduce.
>